require "moip_assinaturas/version"
require "httparty"
require "active_model"
require 'logger'

module MoipAssinaturas
  class << self
    attr_accessor :api_token, :api_key, :sandbox, :logger
    
    def api_url
      if sandbox
        "https://sandbox.moip.com.br/assinaturas/v1"
      else
        "https://www.moip.com.br/assinaturas/v1"
      end
    end
    
  end
end

Dir[File.dirname(__FILE__) + '/moip_assinaturas/*.rb'].each do |file|
  require file
end

MoipAssinaturas.sandbox = false
MoipAssinaturas.logger = Logger.new(STDOUT)
